#!/bin/bash
#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.

# This pyat/ingestion script sends an "ingest-complete" message to wirth-vml.
# (You'll need to substitute the correct AMQP server parameters from dsoc-dev.properties
# into docker.properties.)
#
# With workspaces Docker containers running, this message should make it to
# workspaces_capability_1 and will show up in the logs.

export CAPO_PROFILE=dsoc-dev

# For reference only; IRL, we swap in edu.nrao.archive.configuration.AmqpServer values
ingest-complete --fileset_id 13B-014.sb29151475.eb29223944.56810.442529050924 \
    --host <edu.nrao.archive.configuration.AmqpServer.hostname> \
    --port 5672 --username <edu.nrao.archive.configuration.AmqpServer.username> \
    --password <edu.nrao.archive.configuration.AmqpServer.password> \
    --key ingestion-complete.#  \
    --exchange archive.events \
    --type topic
